package com.jianshui.invoice.service;

import java.util.List;
import com.jianshui.invoice.domain.Invoice;

/**
 * 已开发票列表Service接口
 * 
 * @author Gong Quanlin
 * @date 2022-03-08
 */
public interface IInvoiceListService
{
    /**
     * 查询已开发票列表
     * 
     * @param id 已开发票列表主键
     * @return 已开发票列表
     */
    public Invoice selectInvoiceById(Long id);

    /**
     * 查询已开发票列表列表
     * 
     * @param invoice 已开发票列表
     * @return 已开发票列表集合
     */
    public List<Invoice> selectInvoiceList(Invoice invoice);

    /**
     * 新增已开发票列表
     * 
     * @param invoice 已开发票列表
     * @return 结果
     */
    public int insertInvoice(Invoice invoice);

    /**
     * 修改已开发票列表
     * 
     * @param invoice 已开发票列表
     * @return 结果
     */
    public int updateInvoice(Invoice invoice);

    /**
     * 批量删除已开发票列表
     * 
     * @param ids 需要删除的已开发票列表主键集合
     * @return 结果
     */
    public int deleteInvoiceByIds(Long[] ids);

    /**
     * 删除已开发票列表信息
     * 
     * @param id 已开发票列表主键
     * @return 结果
     */
    public int deleteInvoiceById(Long id);
}
